# $Revision: 1.3 $, $Date: 2002/11/18 01:59:25 $
Summary:	PLD-About
Summary(pl):	PLD-About
Name:		pld-about
Version:	0.1.4
Release:	1
License:	GPL
Group:		X11/Applications
Vendor:		Mariusz 'Ma-rYu-sH' Witkowski <maryush@pld.org.pl>
Source0:	PLD-About-%{version}.tar.gz
Source1:	%{name}.png
Patch0:		%{name}.patch
URL:		http://www.pld.org.pl/
BuildRequires:	gnome-libs-devel < 2.0
BuildRequires:	gtk+-devel < 2.0
Requires:	XFree86-fonts-75dpi-ISO8859-2
Requires:	fonts-Type1-ulT1mo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Little program similar to gnome-about. It displays a list of the PLD
developers and other people that support distribution development.
This package contains GNOME version.

%description -l pl
May programik podobny do gnome-about, zawierajcy list developerw i
osb wsppracujcych przy tworzeniu dystrybucji PLD. Wersja GNOME.

%prep
%setup -q -n PLD-About-%{version}
%patch -p1

%build
./autogen.sh
%configure

%{__make}
rm -f po/pl/*.mo
msgfmt -o po/%{name}.mo po/%{name}.po

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}
install pld-about.desktop $RPM_BUILD_ROOT%{_applnkdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
install -d $RPM_BUILD_ROOT%{_datadir}/locale/pl/LC_MESSAGES
install po/%{name}.mo $RPM_BUILD_ROOT%{_datadir}/locale/pl/LC_MESSAGES

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_bindir}/*
%{_datadir}/pixmaps/pld-about/pld_logo.xpm
%{_applnkdir}/*.desktop
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pld-about.spec,v $
Revision 1.3  2002/11/18 01:59:25  ankry
- updated to 0.1.4; fixed translation, synced developper list with
  organizational/list, resized widgets (patch)
- building/installation of .po file fixed (but using nasty hack instead of
  ac/am)
- added applnk icon

Revision 1.2  2002/10/03 10:29:57  qboosh
- fixed URL and License fields, added en description
- removed COPYING symlink from doc
- release 2

Revision 1.1  2002/09/19 10:49:37  maryush
- initial public release
